import 'package:json_annotation/json_annotation.dart';

part 'base.g.dart';

@JsonSerializable()
class BaseModel {
  final bool status;
  final String message;

  BaseModel(this.status, this.message);

  factory BaseModel.fromJson(Map<String, dynamic> json) => _$BaseModelFromJson(json);
  Map<String, dynamic> toJson() => _$BaseModelToJson(this);
}

@JsonSerializable()
class FailModel {
  final bool status;
  final String message;

  FailModel(this.status, this.message);

  factory FailModel.fromJson(Map<String, dynamic> json) =>
      _$FailModelFromJson(json);

  Map<String, dynamic> toJson() => _$FailModelToJson(this);
}